task deduped_Metrics {

    File ref_dir
	String SENTIEON_INSTALL_DIR
	String sample
	String fasta
	File Dedup_bam
	File Dedup_bam_index
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -r ${ref_dir}/${fasta} -t $nt -i ${Dedup_bam} --algo QualityYield ${sample}_deduped_QualityYield --algo WgsMetricsAlgo ${sample}_deduped_WgsMetricsAlgo
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/" 
	}

	output {
		File deduped_QualityYield = "${sample}_deduped_QualityYield"
		File deduped_WgsMetricsAlgo = "${sample}_deduped_WgsMetricsAlgo"
	}
}
